// DirectoryTest.cc
// ----------------
// directory class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2013 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Directory.h"


int main(int argc, char **argv)
{

  try {

      Directory testDir;
      
      testDir.setCurrent();

      cout << "Current dir is " << testDir.getName() << endl;

      if ( testDir.exists() )
      {
	  cout << "Current exists" << endl;
      }

      Directory testDir2(Chain("/usr/local"));
      if ( testDir2.exists() )
      {
	  cout << testDir2.getName() << " exists" << endl;
      }
      else
      {
	  cout << testDir2.getName() << " not exists" << endl;
      }

      ListT<Chain> dl = testDir2.list();
      Chain *de = dl.First();
      while ( de )
      {
	  cout << "Dir Entry : " << *de << endl;
	  de = dl.Next();
      }

      

      
  }
  catch (Exception e)
  {
      e.print();
      cout << "failed" << endl;
  }
}
  

